# add guard for OSP packages not carried
%global rhosp 0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version:        7.4.9
Release:        1%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

BuildArch:      noarch

Requires:       puppet-fdio
Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet-systemd
Requires:       puppet-veritas_hyperscale
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-etcd
Requires:       puppet-qdr
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Mon Feb 12 2018 RDO <dev@lists.rdoproject.org> 7.4.9-1
- Update to 7.4.9

* Wed Jan 24 2018 RDO <dev@lists.rdoproject.org> 7.4.8-1
- Update to 7.4.8

* Mon Jan 08 2018 RDO <dev@lists.rdoproject.org> 7.4.7-1
- Update to 7.4.7

* Sat Dec 09 2017 RDO <dev@lists.rdoproject.org> 7.4.6-1
- Update to 7.4.6

* Wed Nov 22 2017 RDO <dev@lists.rdoproject.org> 7.4.5-1
- Update to 7.4.5

* Tue Nov 14 2017 RDO <dev@lists.rdoproject.org> 7.4.4-1
- Update to 7.4.4

* Fri Nov 03 2017 RDO <dev@lists.rdoproject.org> 7.4.3-1
- Update to 7.4.3

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.2-1
- Update to 7.4.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.4.1-1
- Update to 7.4.1

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.0-1
- Update to 7.4.0

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 7.3.0-1
- Update to 7.3.0



